MRWTextInternal::State Struct Reference

Internal: the state of a MRWText. More...

## Public Member Functions

| State ()
| constructor More...
Zone & | getZone (int id)
| return a reference to a textzone ( if zone not exists, created it ) More...

## Public Attributes

int | m_version
| the file version More...
std::map< int, Zone > | m_textZoneMap
| a map id -> textZone More...
int | m_numPages
int | m_actualPage

## Detailed Description

Internal: the state of a MRWText.

## Constructor & Destructor Documentation

MRWTextInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

Zone& MRWTextInternal::State::getZone | ( | int | id | ) |

inline

return a reference to a textzone ( if zone not exists, created it )

## Member Data Documentation

int MRWTextInternal::State::m_actualPage

int MRWTextInternal::State::m_numPages

std::map<int,Zone> MRWTextInternal::State::m_textZoneMap

a map id -> textZone

int MRWTextInternal::State::m_version

mutable

the file version

The documentation for this struct was generated from the following file:

- MRWText.cxx